Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161744 - confusion if multiple disk controllers
Summary: confusion if multiple disk controllers
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-26 22:14 UTC by GeoffLeach
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 20:35:02 UTC


Attachments (Terms of Use)

Description GeoffLeach 2005-06-26 22:14:51 UTC
Description of problem:
I have an Adaptec SCSI board and a Promise SATA controller on the MB. Anaconda
recognises both and loads the appropriate drivers.  However (this is the
problem) it sees the Adaptec first, and assigns the disks on it to sda and sdb.
Unfortunately, the wrong choice for an upgrade.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Upgrade with appropriate hardware config
2.
3.
  
Actual results:
Adapted controller's disks get sda and sdb

Expected results:
Desired, actually. SATA disks get sda and sdb

Additional info:
Suggest allowing upgrade to assign the disk groups if more than one SCSI

Comment 1 Jeremy Katz 2005-06-27 20:35:02 UTC
You can load controllers in whatever order you prefer by booting with 'linux
noprobe' (or the more refined 'linux nostorage' to just not load storage
modules) and then manually load them in the order you want.


Note You need to log in before you can comment on or make changes to this bug.